Subject: Offline Message from Robert Pires: Last year I bought my two grandchildren t
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 19 Jun 2022 12:46:04 -0000

From: Robert Pires <[email-masked]>
Phone: 7748491313
Location: New Bedford, United States
URL: https://swagtron.com/product/replacement-ac-adapter-for-swagtron-t881-t882-hero-metro-and-evo/
Department: SwagTron

Last year I bought my two grandchildren  two hoverboard there grandmother  threw away there charger for a t882 evo  t882 hero I order a replacement  charger from swagtron and there not charging  what do I do order a battery  please let me know my grandchildren  keep asking me if they  can play with them .if you can please get in touch  with me thankyou.

----
Zopim
https://www.zopim.com